img {
	image-rendering: crisp-edges;
}

.fw-100 {
	font-weight: 100;
}

.fw-400 {
	font-weight: 400;
}

.fw-500 {
	font-weight: 500;
}

.full-link {
	display: block;
	width: 100%;
	height: 100%;
}

.full-link-g {
	position: relative;
	grid-area: 1 / 1;
	width: 100%;
	height: 100%;
	top: 0px;
	left: 0px;
}

.full-link-a {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0px;
	left: 0px;
}


.op-0 {
	opacity: 0;
}
.op-20 {
	opacity: 0.2;
}
.op-40 {
	opacity: 0.4;
}
.op-60 {
	opacity: 0.6;
}
.op-80 {
	opacity: 0.8;
}
.op-100 {
	opacity: 1;
}

.d-g {
  display: grid;
}

.g-a {
	grid-area: 1 / 1;
}

.color-contrast {
	color: #6c6c6c !important;
}

.theme-dark .color-contrast {
	color: #ffffff !important;
}

.color-lowcontrast {
	color: #adb5bd !important;
}

.theme-dark .color-lowcontrast {
	color: #6c6c6c !important;
}

.c-pointer {
	cursor: pointer;
}

.c-default {
	cursor: default;
}

.alert div {
  padding-left: 47px;
  font-weight: 400;
  margin-top: 5px;
  margin-bottom: 5px;
  line-height: 18px;
}

.ty-m2 {
  transform: translateY(-2px);
}

.ty-m5 {
  transform: translateY(-5px);
}

.ty-2 {
  transform: translateY(2px);
}

.ty-5 {
  transform: translateY(5px);
}

.tx-m2 {
  transform: translateX(-2px);
}

.tx-m5 {
  transform: translateX(-5px);
}

.tx-2 {
  transform: translateX(2px);
}

.tx-5 {
  transform: translateX(5px);
}

.btn-double {
	display: flex;
	padding: 0px !important;
}

.btn-double .btn-1 {
  position: relative;
  left: 0px;
  top: 0px;
  line-height: 43px;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.1);
}
.btn-double .btn-2 {
  position: relative;
  left: 0px;
  top: 0px;
  line-height: 43px;
  flex: 1;
  height: 100%;
}



@media (min-width: 0px) {    /* xxs :    0 -> 380  */

  .xxs-d-none {
    display: none;
  }

  .xxs-d-block {
    display: block;
  }

  .col-xxs-auto {
    flex: 0 0 auto;
    width: auto;
  }

  .col-xxs-1 {
    flex: 0 0 auto;
    width: 8.33333333%;
  }

  .col-xxs-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
  }

  .col-xxs-3 {
    flex: 0 0 auto;
    width: 25%;
  }

  .col-xxs-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }

  .col-xxs-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
  }

  .col-xxs-6 {
    flex: 0 0 auto;
    width: 50%;
  }

  .col-xxs-7 {
    flex: 0 0 auto;
    width: 58.33333333%;
  }

  .col-xxs-8 {
    flex: 0 0 auto;
    width: 66.66666667%;
  }

  .col-xxs-9 {
    flex: 0 0 auto;
    width: 75%;
  }

  .col-xxs-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
  }

  .col-xxs-11 {
    flex: 0 0 auto;
    width: 91.66666667%;
  }

  .col-xxs-12 {
    flex: 0 0 auto;
    width: 100%;
  }
}
@media (min-width: 380px) {  /* xs  :  380 -> 576  */

  .xs-d-none {
    display: none;
  }

  .xs-d-block {
    display: block;
  }

  .col-xs-auto {
    flex: 0 0 auto;
    width: auto;
  }

  .col-xs-1 {
    flex: 0 0 auto;
    width: 8.33333333%;
  }

  .col-xs-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
  }

  .col-xs-3 {
    flex: 0 0 auto;
    width: 25%;
  }

  .col-xs-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }

  .col-xs-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
  }

  .col-xs-6 {
    flex: 0 0 auto;
    width: 50%;
  }

  .col-xs-7 {
    flex: 0 0 auto;
    width: 58.33333333%;
  }

  .col-xs-8 {
    flex: 0 0 auto;
    width: 66.66666667%;
  }

  .col-xs-9 {
    flex: 0 0 auto;
    width: 75%;
  }

  .col-xs-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
  }

  .col-xs-11 {
    flex: 0 0 auto;
    width: 91.66666667%;
  }

  .col-xs-12 {
    flex: 0 0 auto;
    width: 100%;
  }
}
@media (min-width: 576px) {  /* sm  :  576 -> 768  */

  .sm-d-none {
    display: none;
  }

  .sm-d-block {
    display: block;
  }

  .col-sm-auto {
    flex: 0 0 auto;
    width: auto;
  }

  .col-sm-1 {
    flex: 0 0 auto;
    width: 8.33333333%;
  }

  .col-sm-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
  }

  .col-sm-3 {
    flex: 0 0 auto;
    width: 25%;
  }

  .col-sm-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }

  .col-sm-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
  }

  .col-sm-6 {
    flex: 0 0 auto;
    width: 50%;
  }

  .col-sm-7 {
    flex: 0 0 auto;
    width: 58.33333333%;
  }

  .col-sm-8 {
    flex: 0 0 auto;
    width: 66.66666667%;
  }

  .col-sm-9 {
    flex: 0 0 auto;
    width: 75%;
  }

  .col-sm-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
  }

  .col-sm-11 {
    flex: 0 0 auto;
    width: 91.66666667%;
  }

  .col-sm-12 {
    flex: 0 0 auto;
    width: 100%;
  }
}
@media (min-width: 768px) {  /* md  :  768 -> 992  */

  .md-d-none {
    display: none;
  }

  .md-d-block {
    display: block;
  }

  .col-md-auto {
    flex: 0 0 auto;
    width: auto;
  }

  .col-md-1 {
    flex: 0 0 auto;
    width: 8.33333333%;
  }

  .col-md-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
  }

  .col-md-3 {
    flex: 0 0 auto;
    width: 25%;
  }

  .col-md-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }

  .col-md-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
  }

  .col-md-6 {
    flex: 0 0 auto;
    width: 50%;
  }

  .col-md-7 {
    flex: 0 0 auto;
    width: 58.33333333%;
  }

  .col-md-8 {
    flex: 0 0 auto;
    width: 66.66666667%;
  }

  .col-md-9 {
    flex: 0 0 auto;
    width: 75%;
  }

  .col-md-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
  }

  .col-md-11 {
    flex: 0 0 auto;
    width: 91.66666667%;
  }

  .col-md-12 {
    flex: 0 0 auto;
    width: 100%;
  }
}
@media (min-width: 992px) {  /* lg  :  992 -> 1200 */

  .lg-d-none {
    display: none;
  }

  .lg-d-block {
    display: block;
  }

  .col-lg-auto {
    flex: 0 0 auto;
    width: auto;
  }

  .col-lg-1 {
    flex: 0 0 auto;
    width: 8.33333333%;
  }

  .col-lg-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
  }

  .col-lg-3 {
    flex: 0 0 auto;
    width: 25%;
  }

  .col-lg-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }

  .col-lg-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
  }

  .col-lg-6 {
    flex: 0 0 auto;
    width: 50%;
  }

  .col-lg-7 {
    flex: 0 0 auto;
    width: 58.33333333%;
  }

  .col-lg-8 {
    flex: 0 0 auto;
    width: 66.66666667%;
  }

  .col-lg-9 {
    flex: 0 0 auto;
    width: 75%;
  }

  .col-lg-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
  }

  .col-lg-11 {
    flex: 0 0 auto;
    width: 91.66666667%;
  }

  .col-lg-12 {
    flex: 0 0 auto;
    width: 100%;
  }
}
@media (min-width: 1200px) { /* xl  : 1200 -> 1400 */

  .xl-d-none {
    display: none;
  }

  .xl-d-block {
    display: block;
  }

  .col-xl-auto {
    flex: 0 0 auto;
    width: auto;
  }

  .col-xl-1 {
    flex: 0 0 auto;
    width: 8.33333333%;
  }

  .col-xl-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
  }

  .col-xl-3 {
    flex: 0 0 auto;
    width: 25%;
  }

  .col-xl-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }

  .col-xl-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
  }

  .col-xl-6 {
    flex: 0 0 auto;
    width: 50%;
  }

  .col-xl-7 {
    flex: 0 0 auto;
    width: 58.33333333%;
  }

  .col-xl-8 {
    flex: 0 0 auto;
    width: 66.66666667%;
  }

  .col-xl-9 {
    flex: 0 0 auto;
    width: 75%;
  }

  .col-xl-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
  }

  .col-xl-11 {
    flex: 0 0 auto;
    width: 91.66666667%;
  }

  .col-xl-12 {
    flex: 0 0 auto;
    width: 100%;
  }
}
@media (min-width: 1400px) { /* xxl : 1400 -> inf  */

  .xxl-d-none {
    display: none;
  }

  .xxl-d-block {
    display: block;
  }

  .col-xxl-auto {
    flex: 0 0 auto;
    width: auto;
  }

  .col-xxl-1 {
    flex: 0 0 auto;
    width: 8.33333333%;
  }

  .col-xxl-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
  }

  .col-xxl-3 {
    flex: 0 0 auto;
    width: 25%;
  }

  .col-xxl-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }

  .col-xxl-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
  }

  .col-xxl-6 {
    flex: 0 0 auto;
    width: 50%;
  }

  .col-xxl-7 {
    flex: 0 0 auto;
    width: 58.33333333%;
  }

  .col-xxl-8 {
    flex: 0 0 auto;
    width: 66.66666667%;
  }

  .col-xxl-9 {
    flex: 0 0 auto;
    width: 75%;
  }

  .col-xxl-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
  }

  .col-xxl-11 {
    flex: 0 0 auto;
    width: 91.66666667%;
  }

  .col-xxl-12 {
    flex: 0 0 auto;
    width: 100%;
  }
}

